///--------------------------------------------------------------------------------------
//	SWGameUtils.h
//
//	Portions are copyright:  1991-94 Tony Myles, All rights reserved worldwide.
//
//	Description:	some utility functions for games
///--------------------------------------------------------------------------------------


#ifndef __SWGAMEUTILS__
#define __SWGAMEUTILS__

#ifndef __QUICKDRAW__
#include <QuickDraw.h>
#endif

#ifdef __cplusplus
extern "C" {
#endif


pascal  void		Randomize( void );
pascal short		GetRandom(short min, short max);
pascal void		CenterRect(Rect* rectA, Rect* rectB);
pascal void		AllowKeyUpEvents( void );
pascal void		RestoreEventMask( void );

pascal RgnHandle	HideMenuBar(GrafPtr grafPort);
pascal void		ShowMenuBar(GrafPtr grafPort);

pascal short		GetDepthFromWindow( WindowPtr theWindow );
pascal short		GetScreenDepth( GDHandle theGDH );
pascal Boolean		HasSystem7( void );


#ifdef __cplusplus
}
#endif


#endif /* __SWGAMEUTILS__ */
